LINUX.ORG.RU

util-linux статической библиотекой

 ,


0

1

в общем ошибка в пересборке мира:

[ebuild     U  ] dev-qt/qtchooser-0_p20170803::gentoo [0_p20151008::gentoo] USE="{-test}" 32 KiB
[ebuild     U  ] sys-apps/coreutils-8.28::gentoo [8.27::gentoo] USE="acl nls xattr -caps -gmp -hostname -kill -multicall (-selinux) -static -vanilla" 5 180 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.13.0:4.13.0::gentoo [4.11.0:4.11.0::gentoo, 4.12.1:4.12.1::gentoo, 4.12.2:4.12.2::gentoo, 4.12.3:4.12.3::gentoo, 4.12.4:4.12.4::gentoo, 4.12.5:4.12.5::gentoo, 4.12.7:4.12.7::gentoo, 4.12.8:4.12.8::gentoo, 4.12.9:4.12.9::gentoo] USE="-build -experimental -symlink" 98 245 KiB
[ebuild     U  ] dev-libs/libgcrypt-1.8.1:0/20::gentoo [1.8.0-r1:0/20::gentoo] USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)" 2 898 KiB
[ebuild     U  ] dev-db/sqlite-3.20.1:3::gentoo [3.20.0:3::gentoo] USE="icu readline -debug -doc -secure-delete -static-libs -tcl {-test} -tools" ABI_X86="(64) -32 (-x32)" 2 506 KiB
[ebuild     U  ] dev-libs/libzip-1.3.0:0/5::gentoo [1.2.0-r1:0/5::gentoo] USE="bzip2%* -static-libs" 934 KiB
[ebuild   R    ] dev-libs/protobuf-3.3.0:0/13::gentoo  USE="python zlib -emacs -examples -java -static-libs {-test}" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 -python3_5 -python3_6%" 0 KiB
[ebuild     U  ] media-libs/gd-2.2.5:2/3::gentoo [2.2.4:2/3::gentoo] USE="fontconfig jpeg png tiff truetype zlib -static-libs -webp -xpm" ABI_X86="(64) -32 (-x32)" 2 534 KiB
[ebuild     U  ] sys-libs/e2fsprogs-libs-1.43.6::gentoo [1.43.5::gentoo] USE="nls -static-libs" ABI_X86="(64) -32 (-x32)" 582 KiB
[ebuild     U  ] app-text/hunspell-1.6.2:0/1.6::gentoo [1.6.1-r1:0/1.6::gentoo] USE="ncurses nls readline -static-libs" L10N="-af -bg -ca -cs -cy -da -de -de-1901 -el -en -eo -es -et -fo -fr -ga -gl -he -hr -hu -ia -id -is -it -kk -km -ku -lt -lv -mi -mk -ms -nb -nl -nn -pl -pt -pt-BR -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu" 705 KiB
[ebuild     U  ] dev-libs/libtasn1-4.12-r1:0/6::gentoo [4.12:0/6::gentoo] USE="-doc -static-libs -valgrind" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] net-dns/libidn2-2.0.4::gentoo [2.0.3::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 1 962 KiB
[ebuild     U  ] dev-python/ptyprocess-0.5.2::gentoo [0.5.1::gentoo] USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 68 KiB
[ebuild     U  ] sys-apps/file-5.32::gentoo [5.31::gentoo] USE="python zlib -static-libs" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 -pypy -python3_5 -python3_6" 779 KiB
[ebuild     U  ] dev-python/cython-0.26.1::gentoo [0.26::gentoo] USE="-doc -emacs {-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_5 -python3_6" 1 685 KiB
[ebuild     U  ] dev-python/sqlalchemy-1.1.13::gentoo [1.1.11::gentoo] USE="sqlite -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -python3_5 -python3_6" 5 059 KiB
[ebuild     U  ] dev-python/pycparser-2.18-r1::gentoo [2.18::gentoo] USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 0 KiB
[ebuild     U  ] dev-python/Babel-2.5.0::gentoo [2.4.0::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 6 458 KiB
[ebuild     U  ] dev-util/shadowman-2::gentoo [1::gentoo] 4 KiB
[ebuild   R    ] app-portage/gentoolkit-0.4.0::gentoo  PYTHON_TARGETS="python2_7 python3_4 -pypy -python3_5 -python3_6%" 0 KiB
[ebuild     U  ] media-libs/mesa-17.2.0_rc6::gentoo [17.2.0_rc5::gentoo] USE="classic dri3 egl gallium gbm nptl pic -bindist -d3d9 -debug -gles1 -gles2 -llvm -opencl -openmax -osmesa -pax_kernel (-selinux) -unwind -vaapi -valgrind -vdpau -vulkan -wayland -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 -imx -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) (-vivante) -vmware" 10 165 KiB
[ebuild     U  ] dev-python/urllib3-1.22::gentoo [1.21.1::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 221 KiB
[ebuild     U  ] dev-python/requests-2.18.2-r1::gentoo [2.18.1::gentoo] USE="ssl -socks5 {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 123 KiB
[ebuild   R    ] virtual/mysql-5.6-r9:0/18::gentoo  USE="server%* -embedded -static" 0 KiB
[ebuild     U  ] xfce-base/xfconf-4.13.4:0/3::gentoo [4.13.3:0/3::gentoo] USE="-debug -perl {-test}" 585 KiB
[ebuild     U  ] x11-libs/gdk-pixbuf-2.36.9:2::gentoo [2.36.6:2::gentoo] USE="X introspection jpeg tiff -debug -jpeg2k {-test}" ABI_X86="(64) -32 (-x32)" 5 634 KiB
[ebuild     U  ] x11-libs/pango-1.40.11::gentoo [1.40.9::gentoo] USE="X introspection {-test}" ABI_X86="(64) -32 (-x32)" 835 KiB
[ebuild     U  ] app-text/iso-codes-3.75::gentoo [3.74::gentoo] LINGUAS="-af -am -ar -as -ast -az -be -bg -bn -bn_IN -br -bs -byn -ca -crh -cs -cy -da -de -dz -el -en -eo -es -et -eu -fa -fi -fo -fr -ga -gez -gl -gu -haw -he -hi -hr -hu -hy -ia -id -is -it -ja -ka -kk -km -kn -ko -kok -ku -lt -lv -mi -mk -ml -mn -mr -ms -mt -nb -ne -nl -nn -nso -oc -or -pa -pl -ps -pt -pt_BR -ro -ru -rw -si -sk -sl -so -sq -sr -sr@latin -sv -sw -ta -te -th -ti -tig -tk -tl -tr -tt -tt@iqtelif -ug -uk -ve -vi -wa -wal -wo -xh -zh_CN -zh_HK -zh_TW -zu" 3 381 KiB
[ebuild  N     ] net-libs/libtorrent-rasterbar-1.0.11:0/8::gentoo  USE="dht geoip python ssl -debug -doc -examples -libressl -static-libs {-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_5" 0 KiB
[ebuild     U  ] net-print/cups-filters-1.17.2::gentoo [1.17.1::gentoo] USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup -pclm -perl -static-libs -zeroconf" 1 414 KiB
[ebuild   R    ] sys-apps/util-linux-2.30.1::gentoo  USE="cramfs ncurses nls pam python readline static-libs* suid udev unicode -build -caps -fdformat -kill (-selinux) -slang -systemd {-test} -tty-helpers" ABI_X86="(64) -32 (-x32)" PYTHON_SINGLE_TARGET="python3_4 -python2_7 -python3_5 -python3_6" PYTHON_TARGETS="python2_7 python3_4 -python3_5 -python3_6" 0 KiB
[ebuild     U  ] sys-fs/e2fsprogs-1.43.6::gentoo [1.43.5::gentoo] USE="nls -fuse -static-libs" 7 292 KiB
[ebuild     U  ] sys-kernel/genkernel-3.5.2.0::gentoo [3.5.1.1::gentoo] USE="firmware -cryptsetup (-ibm) (-selinux)" 6 665 KiB
[ebuild     U  ] app-crypt/gnupg-2.2.0::gentoo [2.1.23-r1::gentoo] USE="bzip2 gnutls ldap nls readline smartcard usb -doc (-selinux) -tofu -tools -wks-server" 6 380 KiB
[ebuild     U  ] app-admin/sudo-1.8.21_p1::gentoo [1.8.21::gentoo] USE="ldap nls pam sendmail -gcrypt -offensive -openssl (-selinux) -skey" 2 906 KiB
[ebuild   R    ] dev-qt/qtmultimedia-5.7.1:5/5.7::gentoo  USE="alsa gstreamer pulseaudio -debug -gles2 -openal -qml {-test} -widgets (-gstreamer010%)" 0 KiB
[ebuild   R    ] media-video/ffmpeg-3.3.3:0/55.57.57::gentoo  USE="X alsa bzip2 encode gpl hardcoded-tables iconv mp3 network opengl pic postproc pulseaudio sdl threads truetype vorbis x264 xcb xvid zlib (-altivec) -amr -amrenc -bluray -bs2b -cdio -celt -chromaprint -chromium% -cpudetection -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -ladspa -libass -libcaca -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug -nvenc -openal -openh264 -openssl -opus -oss -rubberband -samba -schroedinger -snappy -sofalizer -speex -ssh -static-libs {-test} -theora -twolame -v4l -vaapi -vdpau -vpx -wavpack -webp -x265 -zeromq -zimg -zvbi" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" 0 KiB
[ebuild     U  ] net-analyzer/wireshark-2.4.1-r3:0/2.4.1::gentoo [2.4.0:0/2.4.0::gentoo] USE="capinfos caps captype dftest dumpcap editcap filecaps gtk kerberos mergecap netlink pcap qt5 randpkt randpktdump reordercap sharkd ssl text2pcap tshark udpdump zlib -adns -androiddump -ciscodump -doc -doc-pdf -geoip -libssh -libxml2 -lua -nghttp2 -portaudio -sbc (-selinux) -smi -snappy -spandsp -sshdump -tfshark" CPU_FLAGS_X86="sse4_2" 28 106 KiB
[ebuild     U  ] www-client/chromium-61.0.3163.59::gentoo [60.0.3112.78::gentoo] USE="cups gnome-keyring kerberos (pic) proprietary-codecs pulseaudio suid system-ffmpeg system-icu%* -component-build -custom-cflags -hangouts (-neon) (-selinux) (-system-libvpx) (-tcmalloc) {-test} -widevine" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW" 0 KiB
[ebuild     U  ] media-video/vlc-2.2.6-r2:0/5-8::gentoo [2.2.6-r1:0/5-8::gentoo] USE="X a52 alsa avcodec avformat cdda dbus dts dvbpsi dvd encode ffmpeg flac gcrypt gnome gnutls gstreamer jpeg libnotify libsamplerate live lua matroska mp3 mpeg ncurses ogg opengl png pulseaudio qt4 qt5* rtsp sdl svg swscale theora truetype udev upnp vcdx vorbis x264 xcb xml xv -aalib (-altivec) -atmo (-audioqueue) -bidi -bluray -cddb -chromaprint -dc1394 -debug -directfb (-directx) -dvb (-dxva2) -faad -fdk -fluidsynth -fontconfig -gme -growl -httpd -ieee1394 -jack -kate -kde -libass -libav -libcaca -libtar -libtiger -linsys -lirc (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) -modplug -mtp -musepack (-neon) -omxil -opencv -optimisememory -opus -postproc -projectm -rdp -run-as-root -samba -schroedinger -sdl-image -sftp -shout -sid -skins -speex -taglib {-test} -tremor -twolame -v4l -vaapi -vdpau -vlm -vnc -vpx -wma-fixed -x265 -zeroconf -zvbi" CPU_FLAGS_X86="mmx sse" 0 KiB

Total: 40 packages (32 upgrades, 1 new, 1 in new slot, 6 reinstalls), Size of downloads: 203 325 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-python/idna:0

  (dev-python/idna-2.6:0/0::gentoo, ebuild scheduled for merge) conflicts with
    <dev-python/idna-2.6[python_targets_python2_7(-),python_targets_python3_4(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/requests-2.18.2-r1:0/0::gentoo, ebuild scheduled for merge)
    ^                ^^^                                                                                                                                                                                                                                                                  


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by sys-kernel/genkernel-3.5.2.0::gentoo
# required by @selected
# required by @world (argument)
>=sys-apps/util-linux-2.30.1 static-libs
по какой логике он определил что надо делать

>=sys-apps/util-linux-2.30.1 static-libs

и стоит ли вообще это делать, могут ли быть потом проблемы(если поставить флаг то он готов начать сборку)?

Ты что-то собрал с static-libs, и оно требует либу, от которой зависит, тоже с.

r3lgar ★★★★★ ()

по какой логике он определил что надо делать

В ебилде так написано

Ничего страшного не случится, просто для пакета соберутся статические версии либ помимо динамических. Скорее всего они нужны для сборки содержимого initramfs.

Gary ★★★★★ ()
Ответ на: комментарий от r3lgar

я сносил буст, в итоге он и libtorrent не ставились, не хватало какого-то файла буста связанного с boost.python, я всобачил это

>=dev-libs/boost-1.61.0 context python threads icu nls doc -mpi python_targets_python3_5 python_targets_python3_6

и он собрался, может здесь треш какой-то был?

xperious ()
Ответ на: комментарий от xperious

Не могу сказать, нужно копать глубже — по зависимостям и их зависимостям, по юзам в том числе.

r3lgar ★★★★★ ()

Не пересобирай мир, пересобирай попакетно.

Собирай попакетно. Обновляй попакетно.

Таких проблем не будет.

Bruce_Lee ★★ ()
Ответ на: комментарий от Bruce_Lee

Не пересобирай мир, пересобирай попакетно.

Собирай попакетно. Обновляй попакетно.

Чушь. Это, конечно, имеет некоторый смысл, но тратит в десятки, сотни раз больше времени (особенно для пользователей KDE).

Проблема в том, что юзерам лень разгребать ВСЕ юзы ВСЕХ установленных пакетов. Перелопатить после установки все пакеты (у меня их всего 699) займёт немало времени, но сэкономит в разы больше времени в будущем. Я раз в полгода навожу порядок в /etc/portage, затрачивая на это пять-десять минут, и проблем, подобных тем, что в ОП, я не знаю. Разгребать проблемы при обновлениях не приходилось уже очень давно.

r3lgar ★★★★★ ()
Последнее исправление: r3lgar (всего исправлений: 1)

по какой логике он определил что надо делать >=sys-apps/util-linux-2.30.1 static-libs

Идем сюда и видим в RDEPEND

sys-apps/util-linux[static-libs(+)]

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte

хм, ну до этого ж у меня genkernel стоял и статической либы для util-linux не требовалось... это в новой версии теперь ебилд изменили? или почему

xperious ()
Ответ на: комментарий от Pinkbyte

хм, а по какой логике вы заглянули именно в ебилд генкернела?

equery d util-linux

,например, не выдал генкернел( старая ж версия не требовала )

xperious ()
Последнее исправление: xperious (всего исправлений: 1)
Ответ на: комментарий от xperious

по какой логике вы заглянули именно в ебилд генкернела?

Да примерно по этой(выделены ключевые моменты) :-)

The following USE changes are necessary to proceed:
 (see «package.use» in the portage(5) man page for more details)
# required by sys-kernel/genkernel-3.5.2.0::gentoo
# required by @selected
# required by @world (argument)
=sys-apps/util-linux-2.30.1 static-libs
Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от r3lgar

Подскажите, что значит "Я раз в полгода навожу порядок в /etc/portage,"

Подскажите,плиз, что значит «Я раз в полгода навожу порядок в /etc/portage,»

какая процедура наведения порядка?

anonymous ()

какая процедура наведения порядка?

Проверка валидности USE-флагов (их иногда переименовывают, удаляют), проверка валидности переменных, чистка/правка package.*.

r3lgar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.